CVE-2016-0701

low
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The DH_check_pub_key function in crypto/dh/dh_check.c in OpenSSL 1.0.2 before 1.0.2f does not ensure that prime numbers are appropriate for Diffie-Hellman (DH) key exchange, which makes it easier for remote attackers to discover a private DH exponent by making multiple handshakes with a peer that chose an inappropriate number, as demonstrated by a number in an X9.42 file.

References

http://intothesymmetry.blogspot.com/2016/01/openssl-key-recovery-attack-on-dh-small.html

http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10759

http://lists.fedoraproject.org/pipermail/package-announce/2016-January/176373.html

http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00009.html

http://www.openssl.org/news/secadv/20160128.txt

http://www.oracle.com/technetwork/security-advisory/cpujul2016-2881720.html

http://www.oracle.com/technetwork/security-advisory/cpuoct2017-3236626.html

http://www.securityfocus.com/bid/82233

http://www.securityfocus.com/bid/91787

http://www.securitytracker.com/id/1034849

http://www.ubuntu.com/usn/USN-2883-1

https://git.openssl.org/?p=openssl.git;a=commit;h=878e2c5b13010329c203f309ed0c8f2113f85648

https://git.openssl.org/?p=openssl.git;a=commit;h=c5b831f21d0d29d1e517d139d9d101763f60c9a2

https://h20566.www2.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-hpesbhf03724en_us

https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05164821

https://h20566.www2.hpe.com/portal/site/hpsc/public/kb/docDisplay?docId=emr_na-c05390893

https://security.gentoo.org/glsa/201601-05

https://www.kb.cert.org/vuls/id/257823

https://www.oracle.com/security-alerts/cpuapr2020.html

https://www.oracle.com/security-alerts/cpujan2020.html

https://www.oracle.com/security-alerts/cpujul2020.html

https://www.oracle.com/security-alerts/cpuoct2020.html

https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html

Details

Source: MITRE

Published: 2016-02-15

Updated: 2020-10-20

Type: CWE-200

Risk Information

CVSS v2

Base Score: 2.6

Vector: AV:N/AC:H/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 4.9

Severity: LOW

CVSS v3

Base Score: 3.7

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N

Impact Score: 1.4

Exploitability Score: 2.2

Severity: LOW

Tenable Plugins

View all (9 total)

IDNameProductFamilySeverity
105353SUSE SLED12 / SLES12 Security Update : openssl (SUSE-SU-2017:3343-1)NessusSuSE Local Security Checks
medium
105341openSUSE Security Update : openssl (openSUSE-2017-1381)NessusSuSE Local Security Checks
medium
105141FreeBSD : FreeBSD -- OpenSSL multiple vulnerabilities (9f7a0f39-ddc0-11e7-b5af-a4badb2f4699)NessusFreeBSD Local Security Checks
medium
9465OpenSSL 1.0.2 < 1.0.2f Information DisclosureNessus Network MonitorWeb Servers
low
89543Fedora 23 : openssl-1.0.2f-1.fc23 (2016-527018d2ff)NessusFedora Local Security Checks
medium
88586GLSA-201601-05 : OpenSSL: Multiple vulnerabilitiesNessusGentoo Local Security Checks
high
88530OpenSSL 1.0.2 < 1.0.2f Multiple Vulnerabilities (Logjam)NessusWeb Servers
low
88487Ubuntu 15.10 : openssl vulnerability (USN-2883-1)NessusUbuntu Local Security Checks
low
88465FreeBSD : openssl -- multiple vulnerabilities (3679fd10-c5d1-11e5-b85f-0018fe623f2b)NessusFreeBSD Local Security Checks
medium